Subject: [16ng] comments about draft-ietf-16ng-ipv6-over-ipv6cs-01.txt

From: xiayangsong 24512 <[email-masked]>
Date: Thu, 02 Nov 2006 18:15:05 -0700

Hi Raj

 1 in the section "6.3.1. Maximum transmission unit in WiMAX"

  suggestion for improvement, please add this text:
    section 4.6.4 of RFC2461 defines a MTU option that an AR
    can advertise to an MN. If an AR advertises an MTU through RA MTU option,
    the MN should use the MTU, otherwise, the MN use default MTU.

  2 in the section "7. IPv6 prefix assignment"
  "The prefixes are advertised with the on-link (L-bit)
  flag set to facilitate Detecting Network Attachment
  (DNA) operation [RFC4135]."

  Problem:
      Reference is not proper, that is, RFC4135 does not
      describe on-link(L-bit) operation.
  suggestion:
      check the reference and give the correct reference
 
 3 in the section "7. IPv6 prefix assignment"

  Problem:
      the current text does not explain where the prefix comes from?
  suggestion for improvement, please add this text:
      AR can request prefixes from a DHCP server using prefix
      option defined in RFC3633.

BR
Frank Xia

_______________________________________________
16ng mailing list
[email-masked]
http://eeca16.sogang.ac.kr/mailman/listinfo/16ng

---

From: "JinHyeock Choi" <[email-masked]>
Date: Fri, 3 Nov 2006 23:07:27 +0900

Dear Frank

>  check the reference and give the correct reference

Reference is for 'DNA operation', not for 'on-link prefix operation'.
However I come to think that it's better to refer "DNAv6
(draft-ietf-dna-protocol-03.txt)" instead because it better describes
the DNA operation based on prefix.

Thanks for your kind consideration.

Best Regards

JinHyeock

---

From: Basavaraj Patil <[email-masked]>
Date: Fri, 03 Nov 2006 11:13:53 -0600

Hi Frank,

>     the MN should use the MTU, otherwise, the MN use default MTU.

Agree. 

>       option defined in RFC3633.

Where the AR gets the prefix from that is sent to the MS is intentionally
omitted from the document. Because that is implementation specific. There
are several ways how the AR can obtain the prefix to be sent to the MS and
the use of DHCP is one of them. So it is best left unspecified.

-Raj